import { Subject } from 'rxjs';
import { IndexPickupDataViewBase } from '@/studio-core';
import IncidentCustomerService from '@/service/incident-customer/incident-customer-service';
import IncidentCustomerAuthService from '@/authservice/incident-customer/incident-customer-auth-service';
import IncidentCustomerUIService from '@/uiservice/incident-customer/incident-customer-ui-service';

/**
 * 案例客户索引关系选择数据视图视图基类
 *
 * @export
 * @class IncidentCustomerIndexPickupDataViewBase
 * @extends {IndexPickupDataViewBase}
 */
export class IncidentCustomerIndexPickupDataViewBase extends IndexPickupDataViewBase {
    /**
     * 视图对应应用实体名称
     *
     * @protected
     * @type {string}
     * @memberof IncidentCustomerIndexPickupDataViewBase
     */
    protected appDeName: string = 'incidentcustomer';

    /**
     * 应用实体主键
     *
     * @protected
     * @type {string}
     * @memberof IncidentCustomerIndexPickupDataViewBase
     */
    protected appDeKey: string = 'customerid';

    /**
     * 应用实体主信息
     *
     * @protected
     * @type {string}
     * @memberof IncidentCustomerIndexPickupDataViewBase
     */
    protected appDeMajor: string = 'customername';

    /**
     * 实体服务对象
     *
     * @type {IncidentCustomerService}
     * @memberof IncidentCustomerIndexPickupDataViewBase
     */
    protected appEntityService: IncidentCustomerService = new IncidentCustomerService;

    /**
     * 实体权限服务对象
     *
     * @type IncidentCustomerUIService
     * @memberof IncidentCustomerIndexPickupDataViewBase
     */
    public appUIService: IncidentCustomerUIService = new IncidentCustomerUIService(this.$store);


    /**
     * 计数器服务对象集合
     *
     * @protected
     * @type {Array<*>}
     * @memberof IncidentCustomerIndexPickupDataViewBase
     */    
    protected counterServiceArray: Array<any> = [];

    /**
     * 视图模型数据
     *
     * @protected
     * @type {*}
     * @memberof IncidentCustomerIndexPickupDataViewBase
     */
    protected model: any = {
        srfCaption: 'entities.incidentcustomer.views.indexpickupdataview.caption',
        srfTitle: 'entities.incidentcustomer.views.indexpickupdataview.title',
        srfSubTitle: 'entities.incidentcustomer.views.indexpickupdataview.subtitle',
        dataInfo: ''
    }

    /**
     * 容器模型
     *
     * @protected
     * @type {*}
     * @memberof IncidentCustomerIndexPickupDataViewBase
     */
    protected containerModel: any = {
        view_dataview: { name: 'dataview', type: 'DATAVIEW' },
    };


	/**
     * 视图唯一标识
     *
     * @protected
     * @type {string}
     * @memberof ViewBase
     */
	protected viewtag: string = '86f2bf7bc2faf3dfd21f80626ab71a6b';


    /**
     * 引擎初始化
     *
     * @public
     * @memberof IncidentCustomerIndexPickupDataViewBase
     */
    public engineInit(): void {
    }


}